%define upstream_name    Test-URI
%define upstream_version 1.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Check Uniform Resource Identifiers
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Test/%{upstream_name}-%{upstream_version}.tar.bz2


BuildRequires:  perl(File::Find::Rule)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Builder::Tester)
BuildRequires:  perl(URI)
BuildArch:      noarch


%description 
Check various parts of Uniform Resource Locators.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%check
%{__make} test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean 
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes
%{perl_vendorlib}/Test
%{_mandir}/*/*

%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.80.0-2.mga3
+ Revision: 373867
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 23 2011 jquelin <jquelin> 1.80.0-1.mga1
+ Revision: 34299
- mageia rebuild
- imported package perl-Test-URI

